package com.e6yun.project.sdk.api.example;

import com.e6yun.project.sdk.api.E6SdkApi;
import com.e6yun.project.sdk.api.exception.ApiException;
import com.e6yun.project.sdk.api.pojo.basevo.iot.OilCalList;

public class GetOilCalList {
    static E6SdkApi e6SdkApi = new E6SdkApi("http://api.e6yun.com/", "您的appkey", "您的secreKey");

    public static void main(String[] args) {
        try {
            OilCalList oilCalList = new OilCalList();
            oilCalList.setOilStatus(0);
            oilCalList.setCarId(Integer.valueOf("6562011"));
            oilCalList.setSecond(0);
            oilCalList.setVehicleId(Integer.valueOf("6562011"));
            oilCalList.setsTime("2021-07-07 10:00:00");
            oilCalList.seteTime("2021-07-13 10:00:00");
            System.out.println(e6SdkApi.getOilCalList(oilCalList));
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }
}
